Skip to main content
Weavr API
Outgoing wire transfers

List outgoing wire transfers

GET/outgoing_wire_transfers

Retrieves all the outgoing wire transfer transactions performed by the logged-in identity.

Request

Available on
SandboxProduction

Query parameters

Responses

200OK

Success

Headers
Body
application/json
{}
objectobject · 3 fields
Response example
{  "transfer": [    {      "id": "123456789",      "profileId": "10001",      "tag": "customer-123",      "sourceInstrument": {        "type": "managed_accounts",        "id": "123456789"      },      "transferAmount": {        "currency": "GBP",        "amount": 1250      },      "fee": {        "currency": "GBP",        "amount": 1250      },      "purpose": "Invoice payment",      "description": "Invoice 1042",      "type": "SEPA",      "destination": {        "name": "Alex Smith",        "type": "PERSONAL",        "address": "1 High Street, London W1A 1AA",        "bankName": "National Westminster Bank PLC",        "bankAddress": "250 Bishopsgate, London EC2M 4AA",        "bankCountry": "GB",        "bankAccountDetails": {          "iban": "GB29NWBK60161331926819",          "bankIdentifierCode": "NWBKGB2L"        },        "nationality": "GB",        "dateOfBirth": "1990-01-01"      },      "state": "INVALID",      "rejectedInfo": "SYSTEM",      "challengeExemptionReason": "LOW_VALUE",      "creationTimestamp": 1786118400000,      "scheduledTimestamp": "1786118400000",      "executionTimestamp": "1786118401250",      "cancellationReason": "Payment no longer required",      "validationOutcomes": [        {          "category": "UK_CONFIRMATION_OF_PAYEE",          "categoryResult": {            "match": "EXACT_MATCH",            "reasonCode": "ANNM",            "accountName": "Alex J Smith"          }        }      ]    }  ],  "count": 0,  "responseCount": 0}